Package org.springframework.test.web.servlet.htmlunit

# Class HostRequestMatcher

java.lang.Object
org.springframework.test.web.servlet.htmlunit.HostRequestMatcher

All Implemented Interfaces:
  `WebRequestMatcher`

public final class HostRequestMatcher extends Object implements WebRequestMatcher
A `WebRequestMatcher` that allows matching on the host and optionally the port of `WebRequest#getUrl()`.

For example, the following would match any request to the host `"code.jquery.com"` without regard for the port.

    WebRequestMatcher cdnMatcher = new HostMatcher("code.jquery.com");

Multiple hosts can also be passed in. For example, the following would match any request to the host `"code.jquery.com"` or the host `"cdn.com"` without regard for the port.

    WebRequestMatcher cdnMatcher = new HostMatcher("code.jquery.com", "cdn.com");

Alternatively, one can also specify the port. For example, the following would match any request to the host `"code.jquery.com"` with the port of `80`.

    WebRequestMatcher cdnMatcher = new HostMatcher("code.jquery.example:80");

The above `cdnMatcher` would match `"http://code.jquery.example/jquery.js"` which has a default port of `80` and `"http://code.jquery.example:80/jquery.js"`. However, it would not match `"https://code.jquery.example/jquery.js"` which has a default port of `443`.

Since:
  4.2
Author:
  Rob Winch, Sam Brannen
See Also:
  - `UrlRegexRequestMatcher`
  - `DelegatingWebConnection`

## Constructor Summary

Constructors
Constructor
Description
`HostRequestMatcher(String... hosts)`
Create a new `HostRequestMatcher` for the given hosts — for example: `"localhost"`, `"example.com:443"`, etc.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`matches(org.htmlunit.WebRequest request)`
Whether this matcher matches on the supplied web request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HostRequestMatcher

public HostRequestMatcher(String... hosts)
Create a new `HostRequestMatcher` for the given hosts — for example: `"localhost"`, `"example.com:443"`, etc.

Parameters:
  `hosts` - the hosts to match on

## Method Details

### matches

public boolean matches(org.htmlunit.WebRequest request)
Description copied from interface: `WebRequestMatcher`
Whether this matcher matches on the supplied web request.

Specified by:
  `matches` in interface `WebRequestMatcher`
Parameters:
  `request` - the `WebRequest` to attempt to match on
Returns:
  `true` if this matcher matches on the `WebRequest`